# TODO #
## GENERAL ##
* Write up thanks/credits. Warboy, XOPS, Etc.
* Rebalance Economy
* How to set final mission completion requirements / final message screen or movie
* Consider Explosive Jaegers, Floor burn for Disruptor.  Need corpses defined for explosive.
* Extra Facilities? Jaeger Bay, Psi Lab, Elerium Refinery?
* Do I want to let players reverse engineer marsec elerium items with elerium refinement? Plasma Carbine and E Missile are decent gear.
* Portable Fusion Reactor for superheavy weapons as a possibility? Backpack sized sprite.
* Destructable Crafts? Tricky to do B/C I have to make more MCD Tiles. Could clean up Dragonfly pieces a bit by combining.
* Rework Jarhead/tech tree problem
* Need Jaeger Bay GFX. Repurpose base bits?
* Updated Ship Walls for Rapier/Broadsword. Less texture.
* Code Names sort of lame. Mix into standard research.
* Convert all research times to 1 for testing.
* Unlock all weapons for cydonia or bust
* Remove Stormgun+ battery?
## Tier notes - Feels like late game is missing a couple of weapons maybe. Pistol option, tac rifle replacement##
Tier 0 - Plain weapons + marsec items / sleepers and mechanoids
Tier 1 - Alloy weapons and armor + lasers + Stormgun vs / mechanoids
Tier 2 - Improved lasers + Tac rifle + Superheavy Railgun + Heavy Armor vs Fungoids
Tier 3 - Smart Laser + organic armor + Jaeger I vs. chimeras
Tier 4 - Disruptor + Jaeger II + Organic Armor vs. Chimeras
Tier 5 - AntiPsi and Antigrav armor vs. Final
* Reduce capture requirement for jarhead. increase armor of corpse so they can be recovered? Possibly fixed in latest nightly, need to test.
* Reduce transfer time for marsec items. It's not much fun. Also we live in a different supply chain era with some efficient markets. Raw elerium still takes a while to move?
* Interception balance. Slightly boost interceptor armor? Currently large scouts are nasty.
* Need to rebalance tier 1 interception to be able to bring down a large vehicle. Purchasable Firestorm? Elerium Avalanches may need a higher clip size to make them worthwhile. They should be effective but expensive.
* Add back Plasma beam powered by E115? Need something that can bring down larger ships. - Done. Need to test/cost
* Cost of containment facility should be super high.
## MILESTONES ##
* ~~Finish all Unit Sprites~~ ALL DRAFT 1 DONE. ORG Armor needs pistol fix for one arm.
* Bullet Sprites
* SMOKE
* HIT
* Finish all BIGOBS
* Finish all HANDOBS
.* ~~Pistol Upgrade~~
.* ~~TAC PISTOL~~
.* ~~TAC RIFLE~~ SE and SW facing could use arm deletion. 
.* ~~Hybrid Plasma~~
.* ~~Disruptor~~
.* ~~Smart Laser~~
.* Spore Launcher
.* ~~Laser Rifle~~
.* ~~Implement MISC Items - Scanner, Medikit, etc.~~
.* Experimental Items handobs? Should I simplify research/items? Healing/Stim is all that really matters.
* Finish all FLOOROBS
* Inventory Screens. Placeholders Created. 
* Sound Design
* Finish all Alien Races Rules
* Finish all equipment Rules
* Finish all XCom equip sprites
* Finish Research Tree
* Finish UFOPEDIA entires
* Xcom Crafts Complete
* Ufo Crafts Complete

## PRE-ALPHA 3 GOALS ##
------
* Confirm Working Research Tree to tier 3
* Tac Pistol research/manufacture.
* Confirm Working Manufacturing Tree to tier 3
* UFOPEDIA Skeleton Complete with no crashes
* Playtest Balance for Tier 0 to Tier 2 Transition - Currently Complicated by self destruction mechanism.

* New Crafts
.* INTERCEPTOR GFX and ALLOY INTERCEPTOR
.* ~~DRAGONFLY -Finish MCD.~~ Needs some addional MCD settings but basics are done
.* RAPIER - Finish MCD
.* MANTIS - Finish MCD
.* Fixes
..* Alien Grenade still present? - Should change gfx at a minimum.

## PRE-ALPHA 4 GOALS ##
------
* New Craft - Broadsword complete
* Complete Research Tree
* Complete Manufacturing Tree
* Complete UFOPEDIA

## ALPHA 1 GOALS ##
------
* UFOs / Maps
.* Juggernaught and mission
.* Sympathizer Van? Could replace SM scout.
.* Replace Medium Scout with Lightning.
.* Add tunneling craft. Would appear on land and not move. Abductions. Combine with new terror mission maps?
.* Dawn City Map type?

### BIGOB ###
------
* Railgun Clip
* Compact Blaster Launcher Bombs
* Corpses

### HANDOB ###
------
* TAC RIFLE
* ~~HEAVY RAILGUN~~ Draft 1 done
* SATCHEL CHARGE
* HYBRID PLASMA
* ~~STORMGUN~~ D1 done
* SPORE LAUNCHER
* TAC Pistol
* PLASMA CARBINE

### FLOOROB ###
------
* TAC RIFLE
* HEAVY RAILGUN
* SPITTER
* SPINEGUN
* SPORES
* SATCHEL CHARGE
* ALIEN CORPSES
* JAEGER CORPSES (May be able to use source materials if I get creative)

### BULLETS ###
* COMPACT BLASTER

## CRAFT / VEHICLE ##
------
* Juggernaught Yamato - Slow charge big gun.
* Add a juggernaught alien ship? Needs it's own mission. Idea is something like cathedral ship to be shot down. Huge, powerful and would take several ships to shoot down. Spawns in last wave (8), immobile. set as infiltration mission?

## DEPLOYMENTS ##
------
* Balance equipment levels for deployments

## RESEARCH ##
------
* Develop ideal order - Compare to original and work backwards
* Price out research hours
* Convert TAC RPG to waypoints if allowed

### Map Based Items for Research?###
* Organic Crystalline Structures (Power Source Production)
..- UFO Hybrid Power Source
...- Hybrid Power Structures
....- Stormgun Hybrid Battery
....- Hybrid Power Source 
* Quantum Typewriter - would require inventory item or hacking terrain item. Inventory item probably safer.
..- Hyperwave Decoder
* Sympathizer Laptop
 - get one free?

## MANUFACTURE ##
------
* TIME / Price / Requirements for all new equipment
* Jaeger requires a soldier corpse. Possibly a Mechtoid Corpse.
## UFOPEDIA ##
------
* Identify necessary entries
* Write Entries for all items
* Start a google doc
## UFO TRAJECTORIES ##
------
* Come up with sleeper trajectories
## ALIEN MISSIONS ##
------
* Figure out which missions go with which aliens
## WAVES ##
------
## ECONOMY ##
------
* Establish costs of all alien tech / corpses. Negative costs on some equipment for disposal? Spores, Zombies, Puffers.
* Reprice Elerium 50-150,000 per unit range until testing takes place
## QUESTIONS ##
------
what's the maximum agression level? Indicated by WarBoy that increasing the value past vanilla may yield even more aggressive melee units.
## IDEAS ##
------
* Isotope Refinement
* Final mission map, make brain tiles invulnerable so eliminating all aliens is necessary?
## BALANCE ##
------
* Aiming for a sort of rock, paper, scissors balance of units, tactics, and damage types, where the rules change as the game progresses.
* Feels like an xcom mid level weapon is missing in current set. Boost DE round damage? hybrid laser or plasma weapon?
* Final Weapon - Disruptor? Could have acid damage type. High output.
* Plasma and Lasers Devalued by Alien Armor resistances
* MARSEC and standard Armor devalued by Acid Vulnerability exploited by organic weapons
* Research energy resistant armors at level 2.
* Acid resistance can be researched at level 3 or 4 tech. 
* Improved AP and explosive weapons countered by higher health / conventional armor
* Sleepers - Standard weapons should work well enough - Conventional Arms
* Mechanoids - Plasma devalued. Lasers, explosives and AP are x1 damage. Stun Bonus - Railguns - Conventional Arms
* Fungoids - Explosives, Lasers and Plasma Devalued. AP x 1. Stun and Incindiary Bonus. Spitters/Spineguns
* Chimeras - Conventionally tough. Good armor and health. AP and HE resistant. Lasers and Plasma x 1. Hybrid Plasma Weapons. Compact Blaster Launcher.
* Cult - TBD. Final Mission only. Leader is multiform with shifting resistances/Health. High Priest should be Equivilant to Classic Flying Armor. Ethreal Cultists should be slightly tougher than Classic Ethreal Leader. Ethreal Cultists could be 2x2 units with energy shield, built in weapon. Functionally similar to Mechtoid with different stats.

## CREDITS ##
Gauss Weapon Graphics
Alt. Railgun Version
Satchel Charge
Moriarty Power Armor
Shotgun
Sniper Rifle
Anthropod Alien
GNUMBLR - Form 3 Base animation Gif
Shadics Pers Armor Recolor

## Base ##
------
* Quantum Particle Interceptor - Works as hyperwave decoder?
* Elerium Refinery